summaryrefslogtreecommitdiffstats
path: root/source/n/ca-certificates
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ca-certificates')
-rwxr-xr-xsource/n/ca-certificates/ca-certificates.SlackBuild75
-rw-r--r--source/n/ca-certificates/cacerts-20090814-fixup_DESTDIR.diff94
-rw-r--r--source/n/ca-certificates/cacerts-20090814-fixup_update-ca-certificates.diff14
-rw-r--r--source/n/ca-certificates/cacerts-20090814-remove_debconf.diff12
-rw-r--r--source/n/ca-certificates/doinst.sh17
-rw-r--r--source/n/ca-certificates/slack-desc19
6 files changed, 231 insertions, 0 deletions
diff --git a/source/n/ca-certificates/ca-certificates.SlackBuild b/source/n/ca-certificates/ca-certificates.SlackBuild
new file mode 100755
index 000000000..fc455b14e
--- /dev/null
+++ b/source/n/ca-certificates/ca-certificates.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for ca-certificates
+
+# Copyright 2009 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ca-certificates
+VERSION=${VERSION:-20090814}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/cacerts-$VERSION-remove_debconf.diff.gz | patch -p1 || exit 1
+zcat $CWD/cacerts-$VERSION-fixup_DESTDIR.diff.gz | patch -p1 || exit 1
+zcat $CWD/cacerts-$VERSION-fixup_update-ca-certificates.diff.gz | patch -p1 || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/etc/ca-certificates/update.d
+printf "# Automatically generated by $PRGNAM-$VERSION \n#\n" \
+ > $PKG/etc/ca-certificates.conf.new
+( cd $PKG/usr/share/ca-certificates
+ find . -name '*.crt' | sort | cut -b3-
+) >> $PKG/etc/ca-certificates.conf.new
+
+mkdir -p $PKG/usr/man/man8
+gzip -9c sbin/update-ca-certificates.8 > \
+ $PKG/usr/man/man8/update-ca-certificates.8.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv debian/NEWS debian/NEWS.Debian
+cp -a debian/NEWS.Debian debian/README.Debian $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/ca-certificates/cacerts-20090814-fixup_DESTDIR.diff b/source/n/ca-certificates/cacerts-20090814-fixup_DESTDIR.diff
new file mode 100644
index 000000000..b70ca654b
--- /dev/null
+++ b/source/n/ca-certificates/cacerts-20090814-fixup_DESTDIR.diff
@@ -0,0 +1,94 @@
+diff -Nur ca-certificates-20090814.orig/Makefile ca-certificates-20090814/Makefile
+--- ca-certificates-20090814.orig/Makefile 2009-07-08 16:18:57.000000000 -0500
++++ ca-certificates-20090814/Makefile 2009-12-17 00:48:14.499550845 -0600
+@@ -17,7 +17,7 @@
+
+ install:
+ for dir in $(SUBDIRS); do \
+- mkdir $(DESTDIR)/$(CERTSDIR)/$$dir; \
++ mkdir -p $(DESTDIR)/$(CERTSDIR)/$$dir; \
+ $(MAKE) -C $$dir install CERTSDIR=$(DESTDIR)/$(CERTSDIR)/$$dir; \
+ done
+ for dir in sbin; do \
+diff -Nur ca-certificates-20090814.orig/brasil.gov.br/Makefile ca-certificates-20090814/brasil.gov.br/Makefile
+--- ca-certificates-20090814.orig/brasil.gov.br/Makefile 2007-02-02 00:23:19.000000000 -0600
++++ ca-certificates-20090814/brasil.gov.br/Makefile 2009-12-17 00:48:14.499550845 -0600
+@@ -8,5 +8,6 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+diff -Nur ca-certificates-20090814.orig/cacert.org/Makefile ca-certificates-20090814/cacert.org/Makefile
+--- ca-certificates-20090814.orig/cacert.org/Makefile 2009-07-08 16:19:37.000000000 -0500
++++ ca-certificates-20090814/cacert.org/Makefile 2009-12-17 00:48:14.499550845 -0600
+@@ -9,5 +9,6 @@
+
+ install:
+ cat root.crt class3.crt > cacert.org.crt
++ mkdir -p $(CERTSDIR)
+ install -m 644 cacert.org.crt $(CERTSDIR)/cacert.org.crt
+
+diff -Nur ca-certificates-20090814.orig/gouv.fr/Makefile ca-certificates-20090814/gouv.fr/Makefile
+--- ca-certificates-20090814.orig/gouv.fr/Makefile 2008-06-23 13:57:45.000000000 -0500
++++ ca-certificates-20090814/gouv.fr/Makefile 2009-12-17 00:48:14.500550426 -0600
+@@ -8,6 +8,7 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+
+diff -Nur ca-certificates-20090814.orig/mozilla/Makefile ca-certificates-20090814/mozilla/Makefile
+--- ca-certificates-20090814.orig/mozilla/Makefile 2009-06-24 05:56:54.000000000 -0500
++++ ca-certificates-20090814/mozilla/Makefile 2009-12-17 00:48:14.500550426 -0600
+@@ -10,5 +10,6 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+diff -Nur ca-certificates-20090814.orig/sbin/Makefile ca-certificates-20090814/sbin/Makefile
+--- ca-certificates-20090814.orig/sbin/Makefile 2007-02-02 00:23:19.000000000 -0600
++++ ca-certificates-20090814/sbin/Makefile 2009-12-17 00:49:05.976571309 -0600
+@@ -8,4 +8,5 @@
+ clean:
+
+ install:
++ mkdir -p $(DESTDIR)/usr/sbin
+ install -m755 update-ca-certificates $(DESTDIR)/usr/sbin/
+diff -Nur ca-certificates-20090814.orig/signet.pl/Makefile ca-certificates-20090814/signet.pl/Makefile
+--- ca-certificates-20090814.orig/signet.pl/Makefile 2007-02-02 00:23:19.000000000 -0600
++++ ca-certificates-20090814/signet.pl/Makefile 2009-12-17 00:48:14.501550915 -0600
+@@ -8,5 +8,6 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+diff -Nur ca-certificates-20090814.orig/spi-inc.org/Makefile ca-certificates-20090814/spi-inc.org/Makefile
+--- ca-certificates-20090814.orig/spi-inc.org/Makefile 2007-02-02 00:23:19.000000000 -0600
++++ ca-certificates-20090814/spi-inc.org/Makefile 2009-12-17 00:48:14.501550915 -0600
+@@ -8,6 +8,7 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+
+diff -Nur ca-certificates-20090814.orig/telesec.de/Makefile ca-certificates-20090814/telesec.de/Makefile
+--- ca-certificates-20090814.orig/telesec.de/Makefile 2008-03-19 09:03:09.000000000 -0500
++++ ca-certificates-20090814/telesec.de/Makefile 2009-12-17 00:48:14.566586954 -0600
+@@ -8,6 +8,7 @@
+
+ install:
+ for p in *.crt; do \
++ mkdir -p $(CERTSDIR) ; \
+ install -m 644 $$p $(CERTSDIR)/$$p ; \
+ done
+
diff --git a/source/n/ca-certificates/cacerts-20090814-fixup_update-ca-certificates.diff b/source/n/ca-certificates/cacerts-20090814-fixup_update-ca-certificates.diff
new file mode 100644
index 000000000..3c9e08b41
--- /dev/null
+++ b/source/n/ca-certificates/cacerts-20090814-fixup_update-ca-certificates.diff
@@ -0,0 +1,14 @@
+diff -Nur ca-certificates-20090814.orig/sbin/update-ca-certificates ca-certificates-20090814/sbin/update-ca-certificates
+--- ca-certificates-20090814.orig/sbin/update-ca-certificates 2009-07-08 16:23:12.000000000 -0500
++++ ca-certificates-20090814/sbin/update-ca-certificates 2009-12-17 00:42:41.760550636 -0600
+@@ -148,9 +148,7 @@
+
+ HOOKSDIR=/etc/ca-certificates/update.d
+ echo -n "Running hooks in $HOOKSDIR...."
+-VERBOSE_ARG=
+-[ "$verbose" = 0 ] || VERBOSE_ARG=--verbose
+-eval run-parts $VERBOSE_ARG --test -- $HOOKSDIR | while read hook
++eval run-parts $HOOKSDIR | while read hook
+ do
+ ( cat $ADDED
+ cat $REMOVED ) | $hook || echo E: $hook exited with code $?.
diff --git a/source/n/ca-certificates/cacerts-20090814-remove_debconf.diff b/source/n/ca-certificates/cacerts-20090814-remove_debconf.diff
new file mode 100644
index 000000000..c99aa2fa2
--- /dev/null
+++ b/source/n/ca-certificates/cacerts-20090814-remove_debconf.diff
@@ -0,0 +1,12 @@
+diff -Nur ca-certificates-20090814.orig/Makefile ca-certificates-20090814/Makefile
+--- ca-certificates-20090814.orig/Makefile 2009-07-08 16:18:57.000000000 -0500
++++ ca-certificates-20090814/Makefile 2009-12-17 00:44:30.540551055 -0600
+@@ -3,7 +3,7 @@
+ #
+
+ CERTSDIR = /usr/share/ca-certificates
+-SUBDIRS = spi-inc.org debconf.org mozilla cacert.org brasil.gov.br signet.pl telesec.de gouv.fr
++SUBDIRS = spi-inc.org mozilla cacert.org brasil.gov.br signet.pl telesec.de gouv.fr
+
+ all:
+ for dir in $(SUBDIRS); do \
diff --git a/source/n/ca-certificates/doinst.sh b/source/n/ca-certificates/doinst.sh
new file mode 100644
index 000000000..e8cd8cced
--- /dev/null
+++ b/source/n/ca-certificates/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ca-certificates.conf.new
+
+chroot . usr/sbin/update-ca-certificates --fresh 1>/dev/null 2>/dev/null
+
diff --git a/source/n/ca-certificates/slack-desc b/source/n/ca-certificates/slack-desc
new file mode 100644
index 000000000..c302e8283
--- /dev/null
+++ b/source/n/ca-certificates/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ca-certificates: ca-certificates (PEM Files of CA Certificates)
+ca-certificates:
+ca-certificates: This package includes PEM files of CA certificates to allow SSL-based
+ca-certificates: applications to check for the authenticity of SSL connections.
+ca-certificates:
+ca-certificates: Homepage: http://packages.qa.debian.org/c/ca-certificates.html
+ca-certificates:
+ca-certificates:
+ca-certificates:
+ca-certificates:
+ca-certificates: